import * as cookie from 'cookie';
import { Cookie } from 'set-cookie-parser';
/**
 * Tells whether we are in a browser or server.
 */
export declare function isBrowser(): boolean;
export declare type Dict<T = any> = {
    [key: string]: T;
};
/**
 * Create an instance of the Cookie interface
 */
export declare function createCookie(name: string, value: string, options: cookie.CookieSerializeOptions): Cookie;
/**
 * Tells whether given objects have the same properties.
 */
export declare function hasSameProperties(a: Dict, b: Dict): boolean;
/**
 * Compare the cookie and return true if the cookies have equivalent
 * options and the cookies would be overwritten in the browser storage.
 *
 * @param a first Cookie for comparison
 * @param b second Cookie for comparison
 */
export declare function areCookiesEqual(a: Cookie, b: Cookie): boolean;
